<template>
    <avue-crud 
      :option="option"
      :table-loading="loading"
      :data="data"
      :permission="permissionList"
      @refresh-change="refreshChange"
      @on-load="onLoad">
    </avue-crud>
    
</template>

<script>
 import {clone} from "@/api/code/mdmrule";
export default {
  name: "cloneCode",
  data() {
    return {
      loading: true,
      selectionList: [],
      option: {
        height: 'auto',
        calcHeight: 30,
        tip: false,
        searchShow: false,
        searchMenuSpan: 6,
        border: true,
        index: true,
        disablePage:false,
        viewBtn: false,
        selection: false,
        dialogClickModal: false,
        dialogWidth: 400,
        column: [
          {
            label: "码段编号",
            prop: "packageName",
            span: 24
          },
          {
            label: "码段名称",
            prop: "menuId",
            span: 24,
          },
          {
            label: "码段描述",
            prop: "menuId",
            span: 24,
          },
          {
            label: "码段类型",
            prop: "menuId",
            span: 24,
          }
        ]
      },
      data: []
    };
  },
  computed: {
    permissionList() {
      return {
        addBtn: false,
        viewBtn: false,
        delBtn: false,
        editBtn: false
      };
    },
    
  },
  methods: {
    initData() {
          
    },
    refreshChange() {
      this.onLoad();
    },
    onLoad() {
      this.loading = true;
      let oid = localStorage.getItem("cloneOid");
      console.log(oid);
    },
    save(){
      clone().then(() => {
        this.loading = true;
        this.$message({
          type: "success",
          message: "操作成功!"
        });
      }, error => {
        window.console.log(error);
      });
    },
      
  }
};
</script>

<style>
</style>